import { Controller } from '@nestjs/common';
import { EventPattern } from '@nestjs/microservices';
import { LabelService } from './label.service';

@Controller()
export class LabelController {
  constructor(private readonly labelService: LabelService) {}

  @EventPattern({ cmd: 'dicom.label.category.create' })
  async createLabelCategory(payload) {
    return await this.labelService.createLabelCategory(payload);
  }

  @EventPattern({ cmd: 'dicom.label.create' })
  async createLabel(payload) {
    return await this.labelService.createLabel(payload);
  }
}
