import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Label } from './entity/label.entity';
import { Repository } from 'typeorm';
import { LabelCategory } from './entity/category.entity';

@Injectable()
export class LabelService {
  constructor(
    @InjectRepository(Label)
    private readonly labelRepository: Repository<Label>,
    @InjectRepository(LabelCategory)
    private readonly labelCategoryRepository: Repository<LabelCategory>,
  ) {}

  async createLabelCategory({ name }) {
    return await this.labelCategoryRepository.save({ name });
  }

  async createLabel(payload) {
    console.log(payload);
    return await this.labelRepository.save({
      name: '钙化',
      description: '钙化的关键词',
    });
  }
}
